## graphite-carbon 1.1.7

=== requirements.txt ===
Twisted>=13.2.0
git+git://github.com/graphite-project/whisper.git#egg=whisper
txAMQP
cachetools
urllib3

## graphite-carbon 0.9.9+debian

=== debian/changelog ===
graphite-carbon (0.9.9+debian-1) unstable; urgency=low

  * Initial release (Closes: #651233)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 07 Apr 2012 22:10:31 +0200

=== debian/control ===
Source: graphite-carbon
Section: utils
Priority: optional
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: https://launchpad.net/graphite

Package: graphite-carbon
Architecture: all
Depends: adduser,
         python-twisted-core,
         python-whisper,
         ${misc:Depends},
         ${python:Depends}
Description: backend data caching and persistence daemon for Graphite
 Carbon is an Twisted daemon that process incoming time-series
 data and saves that data as Whisper database files on disc.
 .
 Carbon daemon is needed for an fully functional graphite-web app.

## graphite-carbon 0.9.10

=== debian/changelog ===
graphite-carbon (0.9.10-4) unstable; urgency=low

  [ Jonas Genannt ]
  * d/control:Changed Maintainer to Graphite Group
     - added VCS Fields
     - removed DM-Upload-Allowed
     - added suggests graphite-web
     - changed upstream homepage
  * d/logroate: changed to copytruncate

  [ Mathieu Parent ]
  * gbp.conf: Build to build-area
  * gbp.conf: Set pristine-tar to true
  * Add me to Uploaders
  * Don't reference /lib/init/vars.sh in carbon-cache init script

 -- Mathieu Parent <sathieu@debian.org>  Mon, 10 Jun 2013 17:58:10 +0200

graphite-carbon (0.9.10-3) unstable; urgency=low

  * d/postinst: added db_stop to ensure correct restart of carbon
    daemon (Closes: #696228)
  * Added patch to disable internal logrotation of Carbon (Closes: #696228)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 19 Jan 2013 17:53:15 +0100

graphite-carbon (0.9.10-2) unstable; urgency=low

  * Added Japanese translation by victory <victory.deb@gmail.com>
    (Closes: #692206)
  * d/control: bumped standards version

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 18 Nov 2012 13:58:17 +0100

graphite-carbon (0.9.10-1) unstable; urgency=low

  * Adding upstream version 0.9.10.
  * d/README.source: removed upstream tarball now dfsg compatible
  * debian/patches/disable_install_opt.patch: refreshed
  * debian/patches/validate-storage-schemas.debian.patch: refreshed

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 09 Jun 2012 14:51:01 +0200

graphite-carbon (0.9.9+debian-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #668706
  * [Debconf translation updates]
  * Danish (Joe Hansen).  Closes: #671759
  * Russian (Yuri Kozlov).  Closes: #672205
  * French (Julien Patriarca).  Closes: #672217
  * Polish (Michał Kułach).  Closes: #672741
  * German (Chris Leick).  Closes: #673076
  * Spanish; (Omar Campagne).  Closes: #673632
  * Dutch; (Jeroen Schot).  Closes: #673775
  * Italian (Beatrice Torracca).  Closes: #673849
  * Swedish (Martin Bagge / brother).  Closes: #673868
  * Czech (Michal Simunek).  Closes: #674002
  * Portuguese (Miguel Figueiredo).  Closes: #674064

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 27 May 2012 16:00:45 +0200

=== debian/control ===
Source: graphite-carbon
Section: utils
Priority: optional
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
 Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~)
Standards-Version: 3.9.4
Homepage: https://github.com/graphite-project/carbon
Vcs-Git: git://anonscm.debian.org//pkg-graphite/packages/graphite-carbon.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-carbon.git;a=summary

Package: graphite-carbon
Architecture: all
Depends: adduser,
         python-twisted-core,
         python-whisper,
         ${misc:Depends},
         ${python:Depends}
Suggests: graphite-web
Description: backend data caching and persistence daemon for Graphite
 Graphite is a web application using the Twisted framework to provide
 real-time visualization and storage of numeric time-series data.
 .
 The Carbon daemon processes the incoming time-series data and saves it
 as Whisper database files.

## graphite-carbon 0.9.12

=== debian/changelog ===
graphite-carbon (0.9.12-1) unstable; urgency=low

  * New Upstream Version
  * refreshed patch carbon.conf.debian.patch (disabled also internal logrotate)
  * removed patch to disable internal logrotate
  * d/control: added version depend on python-whisper

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 01 Sep 2013 12:28:20 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: adduser,
          python-twisted-core,
-         python-whisper,
+         python-whisper (>= 0.9.12~),
          ${misc:Depends},
          ${python:Depends}
 Suggests: graphite-web

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_install:
	rename 's/\.py//' debian/graphite-carbon/usr/bin/*.py
	# clean unneeded stuff
	rm -rf debian/graphite-carbon/usr/conf
	rm -rf debian/graphite-carbon/usr/storage
	# install global default file for the three carbon daemons
	cp debian/graphite-carbon.default debian/graphite-carbon/etc/default/graphite-carbon
	# install config files
	cp conf/carbon.conf.example debian/graphite-carbon/etc/carbon/carbon.conf
	cp conf/storage-schemas.conf.example debian/graphite-carbon/etc/carbon/storage-schemas.conf
	dh_install

override_dh_installinit:
	dh_installinit --name=carbon-cache

=== debian/watch ===
version=2
opts=dversionmangle=s/\+debian// \
http://pypi.python.org/packages/source/c/carbon/carbon-(.+)\.tar\.gz

## graphite-carbon 0.9.13

=== debian/changelog ===
graphite-carbon (0.9.13-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 0.9.13 (Closes: #783179)
  * d/watch: updated watch url
  * removed patch twisted_daemonize, included by upstream
  * refreshed patch carbon.conf.debian#
  * added patch: wire state.events to events
  * added readme about aggregator/relay unit files
  * Systemd instance support for carbon-relay
  * Systemd instance support for carbon-aggregator

 -- Jonas Genannt <genannt@debian.org>  Mon, 04 May 2015 19:15:59 +0200

graphite-carbon (0.9.12-4) unstable; urgency=low

  * d/control
    - fixed Vcs-Git url (Closes: #765568), Laban Mwangi <lmwangi@gmail.com>
    - bumped standards version to 3.9.6, no changed needed

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Thu, 29 Jan 2015 12:05:44 +0100

graphite-carbon (0.9.12-3) unstable; urgency=low

  * changed copytruncate into nocreate (Closes: #733856)
    Thanks to Pierre Fersing for the report and the patch

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Fri, 31 Jan 2014 20:20:23 +0100

graphite-carbon (0.9.12-2) unstable; urgency=medium

  * added systemd service file: carbon-cache.service
  * added twisted_daemonize patch to work with newer Python Twisted
    (Closes: #735220)
  * d/control: bumped standards version to 3.9.5 (no changes needed)

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 13 Jan 2014 22:42:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
 Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
  Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), dh-systemd (>= 1.5)
+Standards-Version: 3.9.6
 Homepage: https://github.com/graphite-project/carbon
-Vcs-Git: git://anonscm.debian.org//pkg-graphite/packages/graphite-carbon.git
+Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/graphite-carbon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-carbon.git;a=summary
 
 Package: graphite-carbon

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,systemd
 
 override_dh_install:
 	rename 's/\.py//' debian/graphite-carbon/usr/bin/*.py
@@ -17,3 +17,11 @@
 
 override_dh_installinit:
 	dh_installinit --name=carbon-cache
+
+override_dh_systemd_start:
+	dh_systemd_start --name=carbon-cache
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=carbon-cache
+	dh_systemd_enable --name=carbon-relay@ --no-enable
+	dh_systemd_enable --name=carbon-aggregator@ --no-enable

## graphite-carbon 0.9.15

=== debian/changelog ===
graphite-carbon (0.9.15-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.9.15

 -- Jonas Genannt <genannt@debian.org>  Sat, 28 Nov 2015 10:38:35 +0100

graphite-carbon (0.9.14-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.9.14
  * d/p/wire_stats_events.patch: removed, upstream merged
  * d/rules: remove unused example directory
  * d/control: added dh-python as build-depends
  * d/*.service: removed ExecReload (Closes: #791886)

 -- Jonas Genannt <genannt@debian.org>  Sat, 21 Nov 2015 00:05:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
 Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>,
  Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), dh-systemd (>= 1.5), dh-python
 Standards-Version: 3.9.6
 Homepage: https://github.com/graphite-project/carbon
 Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/graphite-carbon.git

## graphite-carbon 1.0.2

=== debian/changelog ===
graphite-carbon (1.0.2-1) unstable; urgency=medium

  [ Mathieu Parent ]
  * Remove me from uploaders

  [ Jonas Genannt ]
  * Imported Upstream version 1.0.2 (Closes: #860194)
  * Added Brazilian Portuguese translation
    [Adriano Rafael Gomes] (Closes: #846524)
  * d/control:
    - Added rename to build depends (Closes: #874041)
    - bumped standards/compat version
    - updated to secure vcs urls
    - changed my maintainer mail address
    - added lsb-base to depends
  * d/p/carbon.conf.debian.patch: updated to new upstream version
  * d/p/disable_install_opt.patch: updated to new upstream version
  * Manpages (d/*.1) fixed spelling error
  * d/README.Debian: removed duplicate word
  * d/*.service: added documentation keyword

 -- Jonas Genannt <genannt@debian.org>  Tue, 19 Sep 2017 12:48:46 +0200

=== debian/control ===
Source: graphite-carbon
Section: utils
Priority: optional
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               python-all (>= 2.6.6-3~),
               rename
Standards-Version: 4.0.0.4
Homepage: https://github.com/graphite-project/carbon
Vcs-Git: https://anonscm.debian.org/git/pkg-graphite/packages/graphite-carbon.git
Vcs-Browser: https://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-carbon.git;a=summary

Package: graphite-carbon
Architecture: all
Depends: adduser,
         python-twisted-core,
         python-whisper (>= 0.9.12~),
         lsb-base (>=3.0-6),
         ${misc:Depends},
         ${python:Depends}
Suggests: graphite-web
Description: backend data caching and persistence daemon for Graphite
 Graphite is a web application using the Twisted framework to provide
 real-time visualization and storage of numeric time-series data.
 .
 The Carbon daemon processes the incoming time-series data and saves it
 as Whisper database files.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	# clean unneeded stuff
 	rm -rf debian/graphite-carbon/usr/conf
 	rm -rf debian/graphite-carbon/usr/storage
+	rm -rf debian/graphite-carbon/usr/examples
 	# install global default file for the three carbon daemons
 	cp debian/graphite-carbon.default debian/graphite-carbon/etc/default/graphite-carbon
 	# install config files

=== debian/watch ===
version=3
opts="filenamemangle=s/\S+\/([^\/]+\.tar\.gz)#md5=[[:alnum:]]+$/$1/" \
https://pypi.python.org/simple/carbon .*carbon-(.*)\.tar\.gz#md5=[[:alnum:]]+

## graphite-carbon 1.1.4

=== debian/changelog ===
graphite-carbon (1.1.4-2) unstable; urgency=medium

  * Change maintainer back to tracker.
  * ACK NMU from Christoph Martin.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Dec 2018 11:13:58 +0100

graphite-carbon (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Added myself as uploader after discussion with current maintainer.
  * Remove useless patch for setup.py, call it with correct option instead.
  * Rebased validate-storage-schemas.debian.patch.
  * Switch to Python 3.
  * Ran wrap-and-sort -bast.
  * Switch to debhelper 10 (removed dh-systemd build-depends).
  * VCS URLs pointing to Salsa.
  * Removed export-dir from debian/gbp.conf: this is a local config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Dec 2018 14:46:25 +0100

graphite-carbon (1.0.2-1.1) unstable; urgency=medium

  * NMU
  * VCS move to salsa
  * change maintainer to tracker list (closes: #899529)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 23 Oct 2018 14:42:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,22 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2,systemd
+	dh $@ --with python3,systemd
+
+override_dh_auto_clean:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	echo "Do nothing..."
+
+override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_install:
+	GRAPHITE_NO_PREFIX=True python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/graphite-carbon
 	rename 's/\.py//' debian/graphite-carbon/usr/bin/*.py
 	# clean unneeded stuff
 	rm -rf debian/graphite-carbon/usr/conf
@@ -26,3 +39,7 @@
 	dh_systemd_enable --name=carbon-cache
 	dh_systemd_enable --name=carbon-relay@ --no-enable
 	dh_systemd_enable --name=carbon-aggregator@ --no-enable
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+

## graphite-carbon 1.1.7

=== debian/changelog ===
graphite-carbon (1.1.7-1) unstable; urgency=high

  [ Peter Gervai ]
  * Non-maintainer upload.
  * New upstream release:
    - fixes hard crash (Closes: #923464)

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jul 2020 14:26:46 +0200

=== debian/control ===
Source: graphite-carbon
Section: utils
Priority: optional
Maintainer: Debian Graphite Group <team+debian-graphite-team@tracker.debian.org>
Uploaders:
 Jonas Genannt <genannt@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 rename,
Standards-Version: 4.0.0.4
Homepage: https://github.com/graphite-project/carbon
Vcs-Git: https://salsa.debian.org/debian-graphite-team/graphite-carbon.git
Vcs-Browser: https://salsa.debian.org/debian-graphite-team/graphite-carbon

Package: graphite-carbon
Architecture: all
Depends:
 adduser,
 lsb-base,
 python3-twisted,
 python3-cachetools,
 python3-urllib3,
 python3-whisper (>= 1.1.4),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 graphite-web,
Description: backend data caching and persistence daemon for Graphite
 Graphite is a web application using the Twisted framework to provide
 real-time visualization and storage of numeric time-series data.
 .
 The Carbon daemon processes the incoming time-series data and saves it
 as Whisper database files.

## graphite-carbon 1.1.10

=== debian/changelog ===
graphite-carbon (1.1.10-2) unstable; urgency=medium

  * add autopkgtest to test carbon-cache running
  * fix py312 patch tagging
  * remove duplicate override_dh_installsystemd
  * remove carbon-client manpages (executable removed upstream)
  * provide manpage and service for carbon-aggregator-cache
  * fix manpages groff-message warning: cannot select font 'b
  * use -noawait trigger for twisted-plugins-cache
  * add missing depend to python3-six
  * fix autopkgtest
  * fix d/copyright for lib/carbon/amqp0-8.xml
  * add missing Build-Depend on python3-setuptools (Closes: #1080606)
  * autopkgtest: wait a bit more for the test server to be available

 -- Alexandre Rossi <niol@zincube.net>  Tue, 10 Sep 2024 18:01:19 +0200

graphite-carbon (1.1.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
    + Replace python_distutils buildsystem with pybuild.
    + Use dh_installsystemd rather than deprecated dh_systemd_enable.
    + Use dh_installsystemd rather than deprecated dh_systemd_start.
  * Set debhelper-compat version in Build-Depends.
  * Replace /var/run with /run for the Service PIDFile.

  [ Alexandre Rossi ]
  * update d/watch with move from md5 to sha256
  * New upstream version 1.1.10
  * Rules-Requires-Root: no
  * add myself to uploaders
  * add Pre-depends for --skip-systemd-native
  * declare compliance to policy 4.7.0 (no change)
  * port to py3.12 (Closes: #1074696, #1075712)
  * do not mess with python shebang (Closes: #1022922)
  * let dh do its cleaning magic (Closes: #1044615)
  * drop dep on lsb-base
  * StandardError= and StandardOutput= in unit files no longer support "syslog"

 -- Alexandre Rossi <niol@zincube.net>  Fri, 05 Jul 2024 15:32:02 +0200

graphite-carbon (1.1.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 May 2024 17:52:02 +0200

graphite-carbon (1.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,29 @@
 Uploaders:
  Jonas Genannt <genannt@debian.org>,
  Thomas Goirand <zigo@debian.org>,
+ Alexandre Rossi <niol@zincube.net>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-setuptools,
  rename,
-Standards-Version: 4.0.0.4
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/graphite-project/carbon
 Vcs-Git: https://salsa.debian.org/debian-graphite-team/graphite-carbon.git
 Vcs-Browser: https://salsa.debian.org/debian-graphite-team/graphite-carbon
 
 Package: graphite-carbon
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
- lsb-base,
  python3-twisted,
  python3-cachetools,
  python3-urllib3,
  python3-whisper (>= 1.1.4),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3,systemd
-
-override_dh_auto_clean:
-	echo "Do nothing..."
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	echo "Do nothing..."
@@ -32,14 +29,8 @@
 override_dh_installinit:
 	dh_installinit --name=carbon-cache
 
-override_dh_systemd_start:
-	dh_systemd_start --name=carbon-cache
-
-override_dh_systemd_enable:
-	dh_systemd_enable --name=carbon-cache
-	dh_systemd_enable --name=carbon-relay@ --no-enable
-	dh_systemd_enable --name=carbon-aggregator@ --no-enable
-
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
-	
+override_dh_installsystemd:
+	dh_installsystemd --name=carbon-cache
+	dh_installsystemd --name=carbon-relay@ --no-enable
+	dh_installsystemd --name=carbon-aggregator@ --no-enable
+	dh_installsystemd --name=carbon-aggregator-cache@ --no-enable

=== debian/watch ===
version=4
opts="filenamemangle=s/\S+\/([^\/]+\.tar\.gz)#sha256=[[:alnum:]]+$/$1/" \
https://pypi.python.org/simple/carbon/ .*carbon-(.*)\.tar\.gz#sha256=[[:alnum:]]+
